cpw.mods.fml.common.registry

## Interface VillagerRegistry.IVillageCreationHandler

- Enclosing class:
    VillagerRegistry

      public static interface VillagerRegistry.IVillageCreationHandler

  Allow access to the `StructureVillagePieces` array controlling new village creation so you can insert your own new village pieces

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `buildComponent(StructureVillagePieces.PieceWeight villagePiece, StructureVillagePieces.Start startPiece, java.util.List pieces, java.util.Random random, int p1, int p2, int p3, int p4, int p5)` Build an instance of the village component `StructureVillagePieces`
    `java.lang.Class<?>` | `getComponentClass()` The class of the root structure component to add to the village
    `StructureVillagePieces.PieceWeight` | `getVillagePieceWeight(java.util.Random random, int i)` Called when `MapGenVillage` is creating a new village

- - ### Method Detail

    - #### getVillagePieceWeight

          StructureVillagePieces.PieceWeight getVillagePieceWeight(java.util.Random random,
                                                                 int i)

      Called when `MapGenVillage` is creating a new village
      Parameters:
        `random` -
        `i` -

    - #### getComponentClass

          java.lang.Class<?> getComponentClass()

      The class of the root structure component to add to the village

    - #### buildComponent

          java.lang.Object buildComponent(StructureVillagePieces.PieceWeight villagePiece,
                                        StructureVillagePieces.Start startPiece,
                                        java.util.List pieces,
                                        java.util.Random random,
                                        int p1,
                                        int p2,
                                        int p3,
                                        int p4,
                                        int p5)

      Build an instance of the village component `StructureVillagePieces`
      Parameters:
        `villagePiece` -
        `startPiece` -
        `pieces` -
        `random` -
        `p1` -
        `p2` -
        `p3` -
        `p4` -
        `p5` -